#!/bin/sh

# (C) Copyright Collin J. Doering 2014
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# File: backup.sh
# Author: Collin J. Doering <collin.doering@rekahsoft.ca>
# Date: Nov 21, 2014

# Ignore files that aren't supposed to be backed-up
ignore_regexps=".storage\n.local\n.qemu\n.steam\nDownloads"

# Parse manually ignored files above
ignored=$(echo -e "$ignore_regexps" | sed "s/^\(.*\)$/--exclude '\1'/; N; P; D;" | tr '\n' ' ')

eval "rsync -aH $ignored --exclude-from=.rkd-conf/.gitignore --exclude .git --exclude .gitignore --delete ~/ /media/backup/collin-home"

# exit gracefully
exit 0
